package com.jxml.quick.util.qjml2java;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCEnum extends OCMpeerSupport {
    /**
     * User-provided code to perform the conversion.
     */
    public void cvt(Object param) throws SAXException, IOException {
	QMEnum dm=(QMEnum)dataModel;
	Conv.SubConv conv=(Conv.SubConv)context;

	startElement("value");

	addStringContent(dm.value);

	endElement("value");
    }
}
